<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <title>Comic</title>
  <style>
    /* Just basic styling (center the box, make it 700px, add a border). Remove if you want your own thing. */
    #comic_container {
      width: 700px;
      margin: 0 auto;
      outline: 1px solid #999;
      text-align: center;
    }
  </style>
  
  <script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script>
  <script>
    <?php 
    // This bit of PHP was modified from:                                        //
    // Comic Gallery 1.2, Copyright (C) 2005 Stuart Robertson                    //
    // http://www.designmeme.com/                                                //
    // GPL 2.0 License: http://creativecommons.org/licenses/GPL/2.0/             //
    
    // Your images directory, relative to the page calling this script.
    $imagedir="images";
    
    // Don't edit the rest.
    $pics=array();
    $count=0;
    $comicdir=opendir($imagedir);
    
    // read directory into pics array
    while (($file = readdir($comicdir))!==false) {
      //  filter for jpg, gif or png files...   
      if (substr($file,-4) == ".jpg" || substr($file,-4) == ".jpeg" || substr($file,-4) == ".gif" || substr($file,-4) == ".png" || substr($file,-4) == ".JPG" || substr($file,-4) == ".JPEG" || substr($file,-4) == ".GIF" || substr($file,-4) == ".PNG") {
        $pics[$count] = $file;
        $count++;
      }
    }
    closedir($comicdir); 
    sort($pics); //sort the filenames alphabetically
    reset($pics);
    ?>
    
    // ------------------------------------------------------------------------- //
    // DaVince's simple comic script                                             //
    // Powered by JavaScript & jQuery!                                           //
    // ------------------------------------------------------------------------- //
    
    // Get the pictures from the PHP array.
    <?php
      echo 'var pics = ["' . $imagedir . "/" . implode('", "' . $imagedir . "/", $pics) . '"];';
    ?>
    
  </script>
  
  <script>
    var curpage = 1;
    
    $(document).ready(function() {
      if (window.location.hash.length > 0) //We have a #hash
        curpage = parseInt(window.location.hash.substring(1, window.location.hash.length)); //Get page number (like comicgallery-davince.php#3 for page 3)
      SwitchToPage(curpage-1); //-1 is because the array starts at 0, which is page 1 in the hash.
      
      //Switch comics when changing just the hash of the page. No page reloads needed!
      $(window).on('hashchange',function(){
        if (curpage == parseInt(window.location.hash.substring(1, window.location.hash.length))) return;
        curpage = parseInt(window.location.hash.substring(1, window.location.hash.length));
        SwitchToPage(curpage-1);
      });
      
      //Make tags with these classes act like this.
      $(".prevpage").click(function() { curpage--; SwitchToPage(curpage); })
      $(".nextpage").click(function() { curpage++; SwitchToPage(curpage); })
      $(".firstpage").click(function() { curpage = 0; SwitchToPage(curpage); })
      $(".lastpage").click(function() { curpage = pics.length-1; SwitchToPage(curpage); })
      
      //Keyboard input.
      $(window).on('keydown', function(e) {
        //console.log("key " + e.keyCode + " pressed");
        if (e.keyCode == 37) { curpage--; SwitchToPage(curpage); }      //left key
        else if (e.keyCode == 39) { curpage++; SwitchToPage(curpage); } //right key
      });
      
    });
    
    /** Switch to the appropriate page. */
    function SwitchToPage(which) {
      if (pics.length == 0) return;
      //Go to first or last page in case of invalid numbers
      if (which < 0) which = 0;
      else if (which >= pics.length) which = pics.length-1;
      
      //Change source of img tag holding the comic picture
      $("#comic").attr("src", pics[which]);
      curpage = which;
      window.location.hash = "#"+(curpage+1);
      
      $("#comment").html((comments[curpage+1]!=undefined)?comments[curpage+1]:"");
    }
    
    
      /////////////////////////////////
     // COMMENTS PER PICTURE!       //
    /////////////////////////////////
    var comments = [];
    comments[1] = "Comment for 1!"
    comments[2] = "Comment for 2!<br>Yes, HTML <b>works</b>. Be careful with double quotes though!"
    comments[6] = "Ahoy there Captain!"
  </script>
</head>

<body>
  <div id="comic_container">
    <a class="nextpage" href="javascript:;"><img id="comic" src="" alt="comic"></a>
    <p id="comment">(Comment is loaded in here)</p>
    <p>
      <a class="firstpage" href="javascript:;"><< First</a> ⋅
      <a class="prevpage" href="javascript:;">< Previous</a> ⋅
      <a class="nextpage" href="javascript:;">Next ></a> ⋅
      <a class="lastpage" href="javascript:;">Last >></a>
    </p>
    <h2>Chapters</h2>
    <p>
      <a href="#4">"Chapter 1"</a> (actually page 4)
      <br><a href="#8">"Chapter 2"</a> (actually page 8)
    </p>
  </div>
</body>

</html>
